<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <HTML>
  <HEAD><TITLE><xsl:value-of select="/XSL/titre"/></TITLE></HEAD>
  <BODY>
  <H1><xsl:value-of select="/XSL/titre"/></H1>

  <H2>Table des matires</H2>
  <OL>
    <xsl:apply-templates select="/XSL/section" mode="TDM"/>
  </OL>

  <xsl:apply-templates select="/XSL/section" mode="corps"/>

  </BODY>
  </HTML>
</xsl:template>

<xsl:template match="section" mode="TDM">
    <LI><A href="{concat('#section', position())}"><xsl:value-of select="text()"/></A></LI>
</xsl:template>

<xsl:template match="section" mode="corps">
  <A name="{concat('section', position())}"><H2><xsl:value-of select="text()"/></H2></A>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="paragraphe">
  <P><xsl:apply-templates/></P> //cela veut dire qu'on appelle tous les modles sur les fils de paragraphe
</xsl:template>

<xsl:template match="important">
  <STRONG><xsl:apply-templates/></STRONG> //cela veut dire qu'on appelle tous les modles sur les fils de important

</xsl:template>

<xsl:template match="/XSL/section/text()"/>
</xsl:stylesheet>
