<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" media-type="text/html; charset=ISO-8859-1"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>La logithque</title>
      </head>
      <body>
        <table border="1">
          <tr>
            <th>N</th>
            <th>Logiciel</th>
            <th>Langue</th>
          </tr>
          <xsl:apply-templates select="logitheque/categorie/logiciel"/>
        </table>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="logitheque/categorie/logiciel">
    <tr>
      <td>
        <xsl:variable name="num">
          <xsl:number level="any" from="logitheque"/>
        </xsl:variable>
        <xsl:value-of select="$num"/>
      </td>
      <td>
        <a href="{editeur/@lien}" target="_blank" style="font-size:10pt; font-weight:bold">
          <xsl:apply-templates select="nom"/>
        </a>
            - <xsl:apply-templates select="commentaire"/>
      </td>
	 <td>
		<xsl:if test="langue != 'FR'">
			<img src="http://www.laltruiste.com/images/interface/drapeau_us.gif" alt="Drapeau amricain !"/>
		</xsl:if>
		<xsl:if test="langue != 'EN'">
			<img src="http://www.laltruiste.com/images/interface/drapeau_fr.gif" alt="Drapeau franais !"/>
		</xsl:if>
	</td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
