<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>

<xsl:template match="/">
  <xsl:for-each select="/personne/nom">
  <xsl:variable name="truc" select="prénom"/> 
    	<xsl:call-template name="nom">
		<xsl:with-param name="p1">$truc</xsl:with-param>
		<!-- on range le contenu de prénom dans la variable p1-->
		<xsl:with-param name="p2">$truc</xsl:with-param>

		<!-- on range le contenu du nom dans la variable p2-->
	</xsl:call-template> 
  </xsl:for-each>
</xsl:template>

<xsl:template name="nom" >
  	<xsl:param name="p1"/>
  	<xsl:param name="p2"/>
  	Prénom:  <xsl:value-of select="$p1"/>
	<!-- on prend le contenu de p1-->
  	Nom de famille :  <xsl:value-of select="$p2"/>
	<!-- on prend le contenu de p2-->
	</xsl:template>
</xsl:stylesheet>
