<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" indent="yes"/>

<xsl:template match="/">
  <commande>
    <date>
      <xsl:value-of select="/commande/date/annee"/>/<xsl:value-of select="/commande/date/mois"/>/<xsl:value-of select="/commande/date/jour"/>
    </date>
    <client>societe A</client>
    <article>
      <xsl:apply-templates select="/commande/article"/>
      <quantite><xsl:value-of select="/commande/quantite"/></quantite>
    </article>
  </commande>
</xsl:template>

<xsl:template match="article">
  <numero_piece>
    <xsl:choose>
      <xsl:when test=". = 'boulon1'">E16-25A</xsl:when>
      <xsl:when test=". = 'boulon2'">E16-25B</xsl:when>
      <!-- les autres numero_pieces viendraient ici -->
      <xsl:otherwise>00</xsl:otherwise>
    </xsl:choose>
  </numero_piece>
  <description><xsl:value-of select="."/></description>
</xsl:template>
</xsl:stylesheet>
